Package org.eclipse.net4j.util.event

# Class ValueNotifier<VALUE>

java.lang.Object
org.eclipse.net4j.util.event.Notifier
org.eclipse.net4j.util.event.ValueNotifier<VALUE>

All Implemented Interfaces:
  `INotifier`, `INotifier.INotifier2`

public class ValueNotifier<VALUE> extends Notifier
A `notifier` with an `ID` and a single `value`.

A value notifier can fire the following events:

- `ValueEvent` after value changes.

Since:
  3.1
Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.net4j.util.event.Notifier

`Notifier.Cancelation`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`INotifier.INotifier2`

## Constructor Summary

Constructors
Constructor
Description
`ValueNotifier()`
`ValueNotifier(String id)`
`ValueNotifier(String id, VALUE value)`
`ValueNotifier(VALUE value)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getID()`
`VALUE`
`getValue()`
`void`
`setValue(VALUE value)`

### Methods inherited from class org.eclipse.net4j.util.event.Notifier

`addListener, addUniqueListener, fireEvent, fireEvent, fireEvent, fireThrowable, firstListenerAdded, getListeners, getNotificationService, hasListener, hasListeners, lastListenerRemoved, listenerAdded, listenerRemoved, removeListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ValueNotifier

public ValueNotifier()

### ValueNotifier

public ValueNotifier(VALUE value)

### ValueNotifier

public ValueNotifier(String id)

### ValueNotifier

public ValueNotifier(String id, VALUE value)

## Method Details

### getID

public String getID()

### getValue

public VALUE getValue()

### setValue

public void setValue(VALUE value)